@echo off

mkdir .\RELEASE

mkdir .\RELEASE\vista-x86
mkdir .\RELEASE\vista-x64
mkdir .\RELEASE\win7-x86
mkdir .\RELEASE\win7-x64

mkdir .\RELEASE\vista-x86\etc
mkdir .\RELEASE\vista-x64\etc
mkdir .\RELEASE\win7-x86\etc
mkdir .\RELEASE\win7-x64\etc

echo copying install.bat
copy /v /y .\install.bat .\RELEASE\vista-x86
copy /v /y .\install.bat .\RELEASE\vista-x64
copy /v /y .\install.bat .\RELEASE\win7-x86
copy /v /y .\install.bat .\RELEASE\win7-x64

echo copying uninstall.bat
copy /v /y .\uninstall.bat .\RELEASE\vista-x86
copy /v /y .\uninstall.bat .\RELEASE\vista-x64
copy /v /y .\uninstall.bat .\RELEASE\win7-x86
copy /v /y .\uninstall.bat .\RELEASE\win7-x64

echo copying nfs41rdr.inf
copy /v /y .\nfs41rdr.inf .\RELEASE\vista-x86
copy /v /y .\nfs41rdr.inf .\RELEASE\vista-x64
copy /v /y .\nfs41rdr.inf .\RELEASE\win7-x86
copy /v /y .\nfs41rdr.inf .\RELEASE\win7-x64

echo copying etc_netconfig
copy /v /y .\etc_netconfig .\RELEASE\vista-x86\etc\netconfig
copy /v /y .\etc_netconfig .\RELEASE\vista-x64\etc\netconfig
copy /v /y .\etc_netconfig .\RELEASE\win7-x86\etc\netconfig
copy /v /y .\etc_netconfig .\RELEASE\win7-x64\etc\netconfig

echo copying ms-nfs41-idmap.conf
copy /v /y .\ms-nfs41-idmap.conf .\RELEASE\vista-x86\etc
copy /v /y .\ms-nfs41-idmap.conf .\RELEASE\vista-x64\etc
copy /v /y .\ms-nfs41-idmap.conf .\RELEASE\win7-x86\etc
copy /v /y .\ms-nfs41-idmap.conf .\RELEASE\win7-x64\etc

echo copying nfs_install
copy /v /y .\install\objfre_wlh_x86\i386\nfs_install.exe .\RELEASE\vista-x86
copy /v /y .\install\objfre_wlh_amd64\amd64\nfs_install.exe .\RELEASE\vista-x64
copy /v /y .\install\objfre_win7_x86\i386\nfs_install.exe .\RELEASE\win7-x86
copy /v /y .\install\objfre_win7_amd64\amd64\nfs_install.exe .\RELEASE\win7-x64

echo copying nfs_mount
copy /v /y .\mount\objfre_wlh_x86\i386\nfs_mount.exe .\RELEASE\vista-x86
copy /v /y .\mount\objfre_wlh_amd64\amd64\nfs_mount.exe .\RELEASE\vista-x64
copy /v /y .\mount\objfre_win7_x86\i386\nfs_mount.exe .\RELEASE\win7-x86
copy /v /y .\mount\objfre_win7_amd64\amd64\nfs_mount.exe .\RELEASE\win7-x64

echo copying nfs41_np
copy /v /y .\dll\objfre_wlh_x86\i386\nfs41_np.dll .\RELEASE\vista-x86
copy /v /y .\dll\objfre_wlh_amd64\amd64\nfs41_np.dll .\RELEASE\vista-x64
copy /v /y .\dll\objfre_win7_x86\i386\nfs41_np.dll .\RELEASE\win7-x86
copy /v /y .\dll\objfre_win7_amd64\amd64\nfs41_np.dll .\RELEASE\win7-x64

echo copying libtirpc
copy /v /y .\libtirpc\src\objfre_wlh_x86\i386\libtirpc.dll .\RELEASE\vista-x86
copy /v /y .\libtirpc\src\objfre_wlh_amd64\amd64\libtirpc.dll .\RELEASE\vista-x64
copy /v /y .\libtirpc\src\objfre_win7_x86\i386\libtirpc.dll .\RELEASE\win7-x86
copy /v /y .\libtirpc\src\objfre_win7_amd64\amd64\libtirpc.dll .\RELEASE\win7-x64

echo copying nfsd-debug
copy /v /y .\daemon\Debug\objchk_wlh_x86\i386\nfsd-debug.exe .\RELEASE\vista-x86
copy /v /y .\daemon\Debug\objchk_wlh_amd64\amd64\nfsd-debug.exe .\RELEASE\vista-x64
copy /v /y .\daemon\Debug\objchk_win7_x86\i386\nfsd-debug.exe .\RELEASE\win7-x86
copy /v /y .\daemon\Debug\objchk_win7_amd64\amd64\nfsd-debug.exe .\RELEASE\win7-x64

echo copying nfsd
copy /v /y .\daemon\Release\objfre_wlh_x86\i386\nfsd.exe .\RELEASE\vista-x86
copy /v /y .\daemon\Release\objfre_wlh_amd64\amd64\nfsd.exe .\RELEASE\vista-x64
copy /v /y .\daemon\Release\objfre_win7_x86\i386\nfsd.exe .\RELEASE\win7-x86
copy /v /y .\daemon\Release\objfre_win7_amd64\amd64\nfsd.exe .\RELEASE\win7-x64

echo copying nfs41_driver.sys
copy /v /y .\sys\objfre_wlh_x86\i386\nfs41_driver.sys .\RELEASE\vista-x86
copy /v /y .\sys\objfre_wlh_amd64\amd64\nfs41_driver.sys .\RELEASE\vista-x64
copy /v /y .\sys\objfre_win7_x86\i386\nfs41_driver.sys .\RELEASE\win7-x86
copy /v /y .\sys\objfre_win7_amd64\amd64\nfs41_driver.sys .\RELEASE\win7-x64

echo copying nfs41_driver.pdb
copy /v /y .\sys\objfre_wlh_x86\i386\nfs41_driver.pdb .\RELEASE\vista-x86
copy /v /y .\sys\objfre_wlh_amd64\amd64\nfs41_driver.pdb .\RELEASE\vista-x64
copy /v /y .\sys\objfre_win7_x86\i386\nfs41_driver.pdb .\RELEASE\win7-x86
copy /v /y .\sys\objfre_win7_amd64\amd64\nfs41_driver.pdb .\RELEASE\win7-x64
